Loading...
Searching...
No Matches
Opm::BlackoilWellModelNlddGeneric< Scalar, IndexTraits > Class Template Reference

## Public Member Functions

std::vector< Scalar > | getPrimaryVarsDomain (const int domainIdx) const
void | setPrimaryVarsDomain (const int domainIdx, const std::vector< Scalar > &vars)
const SparseTable< int > & | well_local_cells () const
const std::map< std::string, int > & | well_domain () const

## Protected Member Functions

| BlackoilWellModelNlddGeneric (BlackoilWellModelGeneric< Scalar, IndexTraits > &model)
void | calcDomains (const std::vector< const SubDomainIndices * > &domains)

The documentation for this class was generated from the following files:

- opm/simulators/wells/BlackoilWellModelNldd.hpp
- opm/simulators/wells/BlackoilWellModelNldd.cpp